## murano-agent 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=0.11
anyjson>=0.3.3
Babel>=1.3
eventlet>=0.17.4
iso8601>=0.1.9
kombu>=3.0.7
oslo.config>=1.11.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.service>=0.1.0 # Apache-2.0
oslo.utils>=1.9.0 # Apache-2.0
PyYAML>=3.1.0
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
semantic-version>=2.3.1
requests>=2.5.2

# not listed in global requirements
bunch
gitpython

## murano-agent 1.0.0~b3

=== debian/changelog ===
murano-agent (1:1.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 19:01:04 +0200

murano-agent (2015.1.0-3) unstable; urgency=medium

  * Also purges /var/log/murano-agent and /var/lib/murano-agent. Thanks to
    Andreas Beckmann <anbe@debian.org> for the report (Closes: #788830).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 15:28:58 +0200

murano-agent (2015.1.0-2) unstable; urgency=medium

  * Purges /etc/murano-agent/muranoagent.conf on purge (Closes: #788130).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 10:33:51 +0200

murano-agent (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:23:51 +0000

murano-agent (2015.1~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Now generating the config file using oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:57:18 +0100

murano-agent (2014.2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:38:36 +0800

murano-agent (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release:
    - The windows agent sources are gone to another repository, so we don't
    need to do a +dfsg version.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 14.
  * Added a logrotate file.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Oct 2014 20:15:22 +0800

murano-agent (2014.2~b3+dfsg1-2) experimental; urgency=medium

  * Runs the agent as root, as this is how it should work.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2014 20:27:27 +0800

murano-agent (2014.2~b3+dfsg1-1) experimental; urgency=low

  * Initial release. (Closes: #762851)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2014 00:50:23 +0800

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson,
                     python-babel,
                     python-bunch,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-git,
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-kombu,
                     python-mock,
                     python-oslo.config (>= 1:1.11.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.service,
                     python-oslo.utils (>= 1.9.0),
                     python-requests (>= 2.5.2),
                     python-semantic-version (>= 2.3.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/murano-agent
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/murano-agent.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/murano-agent.git

Package: murano-agent
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~),
Depends: adduser,
         python-anyjson (>= 0.3.3),
         python-babel,
         python-bunch,
         python-eventlet (>= 0.17.4),
         python-git,
         python-iso8601,
         python-kombu,
         python-oslo.config (>= 1:1.11.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.service,
         python-oslo.utils (>= 1.9.0),
         python-pbr (>= 1.6),
         python-requests (>= 2.5.2),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

## murano-agent 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
anyjson>=0.3.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
GitPython>=1.0.1 # BSD License (3 clause)
kombu>=3.0.25 # BSD
oslo.config>=3.7.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
semantic-version>=2.3.1 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0

=== debian/changelog ===
murano-agent (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:49:08 +0200

murano-agent (1:2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 12:05:52 +0200

murano-agent (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:18:45 +0100

murano-agent (1:2.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 09:37:48 +0100

murano-agent (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Dec 2015 17:10:53 +0100

murano-agent (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable (Closes: #802348).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 08:31:30 +0000

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson,
                     python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-git (>= 1.0.1),
                     python-hacking (>= 0.10.0),
                     python-kombu (>= 3.0.25),
                     python-mock (>= 1.3),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-requests (>= 2.8.1),
                     python-semantic-version (>= 2.3.1),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Homepage: https://github.com/openstack/murano-agent
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/murano-agent.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/murano-agent.git

Package: murano-agent
Architecture: all
Section: python
Depends: adduser,
         python-anyjson (>= 0.3.3),
         python-eventlet (>= 0.18.4),
         python-git,
         python-kombu (>= 3.0.25),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/murano-agent.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_clean:
	rm -rf 	build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/murano-agent ; \
	done

override_dh_auto_build:
	dh_auto_build


override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	mkdir -p $(CURDIR)/debian/murano-agent/usr/share/murano-agent
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/murano-agent/usr/share/murano-agent/muranoagent.conf --namespace muranoagent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/murano-agent/tags .*/(\d[\d\.]+)\.tar\.gz

## murano-agent 3.0.0~b1

=== debian/changelog ===
murano-agent (1:3.0.0~b1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 14:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,12 @@
                      python-git (>= 1.0.1),
                      python-hacking (>= 0.10.0),
                      python-kombu (>= 3.0.25),
-                     python-mock (>= 1.3),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-mock (>= 2.0),
+                     python-oslo.config (>= 1:3.9.0),
                      python-oslo.log (>= 2.0.0),
-                     python-oslo.service (>= 1.0.0),
+                     python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.5.0),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-semantic-version (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
@@ -30,7 +30,7 @@
                      python-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/murano-agent
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/murano-agent.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/murano-agent.git
@@ -43,12 +43,12 @@
          python-eventlet (>= 0.18.4),
          python-git,
          python-kombu (>= 3.0.25),
-         python-oslo.config (>= 1:3.7.0),
+         python-oslo.config (>= 1:3.9.0),
          python-oslo.log (>= 2.0.0),
-         python-oslo.service (>= 1.0.0),
+         python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
          python-yaml,

## murano-agent 3.0.0~b2

=== requirements.txt ===
--- 
+++ 
@@ -6,11 +6,11 @@
 eventlet!=0.18.3,>=0.18.2 # MIT
 GitPython>=1.0.1 # BSD License (3 clause)
 kombu>=3.0.25 # BSD
-oslo.config>=3.7.0 # Apache-2.0
+oslo.config>=3.12.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.service>=1.0.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.service>=1.10.0 # Apache-2.0
+oslo.utils>=3.15.0 # Apache-2.0
 PyYAML>=3.1.0 # MIT
 six>=1.9.0 # MIT
 semantic-version>=2.3.1 # BSD
-requests!=2.9.0,>=2.8.1 # Apache-2.0
+requests>=2.10.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 13:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                      python-hacking (>= 0.10.0),
                      python-kombu (>= 3.0.25),
                      python-mock (>= 2.0),
-                     python-oslo.config (>= 1:3.9.0),
+                     python-oslo.config (>= 1:3.12.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-requests (>= 2.10.0),
                      python-semantic-version (>= 2.3.1),
                      python-six (>= 1.9.0),
@@ -43,10 +43,10 @@
          python-eventlet (>= 0.18.4),
          python-git,
          python-kombu (>= 3.0.25),
-         python-oslo.config (>= 1:3.9.0),
+         python-oslo.config (>= 1:3.12.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.15.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-semantic-version (>= 2.3.1),

## murano-agent 3.0.0~rc1

=== debian/changelog ===
murano-agent (1:3.0.0~rc1-1+57~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 18:45:02 +0000

murano-agent (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 19:43:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                      python-hacking (>= 0.10.0),
                      python-kombu (>= 3.0.25),
                      python-mock (>= 2.0),
-                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-requests (>= 2.10.0),
                      python-semantic-version (>= 2.3.1),
                      python-six (>= 1.9.0),
@@ -31,9 +31,9 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-murano-agent
+Vcs-Git: https://git.openstack.org/openstack/deb-murano-agent
 Homepage: https://github.com/openstack/murano-agent
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/murano-agent.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/murano-agent.git
 
 Package: murano-agent
 Architecture: all
@@ -43,10 +43,10 @@
          python-eventlet (>= 0.18.4),
          python-git,
          python-kombu (>= 3.0.25),
-         python-oslo.config (>= 1:3.12.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-semantic-version (>= 2.3.1),

## murano-agent 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 eventlet!=0.18.3,>=0.18.2 # MIT
 GitPython>=1.0.1 # BSD License (3 clause)
 kombu>=3.0.25 # BSD
-oslo.config>=3.12.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 PyYAML>=3.1.0 # MIT
 six>=1.9.0 # MIT
 semantic-version>=2.3.1 # BSD

=== debian/changelog ===
murano-agent (1:3.0.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 21:37:51 +0000

murano-agent (1:3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 23~),
@@ -31,14 +31,15 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-murano-agent
-Vcs-Git: https://git.openstack.org/openstack/deb-murano-agent
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-murano-agent?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-murano-agent -b debian/newton
 Homepage: https://github.com/openstack/murano-agent
 
 Package: murano-agent
 Architecture: all
 Section: python
 Depends: adduser,
+         lsb-base,
          python-anyjson (>= 0.3.3),
          python-eventlet (>= 0.18.4),
          python-git,

## murano-agent 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
anyjson>=0.3.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
GitPython>=1.0.1 # BSD License (3 clause)
kombu<4.0.0,>=3.0.25 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT
semantic-version>=2.3.1 # BSD
requests!=2.12.2,>=2.10.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:3.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 11:18:57 -0500

## murano-agent 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 anyjson>=0.3.3 # BSD
 eventlet!=0.18.3,>=0.18.2 # MIT
 GitPython>=1.0.1 # BSD License (3 clause)
-kombu<4.0.0,>=3.0.25 # BSD
+kombu>=3.0.25 # BSD
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
@@ -13,4 +13,4 @@
 PyYAML>=3.10.0 # MIT
 six>=1.9.0 # MIT
 semantic-version>=2.3.1 # BSD
-requests!=2.12.2,>=2.10.0 # Apache-2.0
+requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:3.2.0-0ubuntu1) zesty; urgency=medium

  * debian/watch: Point to tarballs.openstack.org 
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Feb 2017 14:12:26 -0500

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-git (>= 1.0.1),
                     python-hacking (>= 0.10.0),
                     python-kombu (>= 3.0.25),
                     python-mock (>= 2.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-semantic-version (>= 2.3.1),
                     python-six (>= 1.9.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends: adduser,
         python-anyjson (>= 0.3.3),
         python-eventlet (>= 0.18.4),
         python-git (>= 1.0.1),
         python-kombu (>= 3.0.25),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

## murano-agent 3.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
anyjson>=0.3.3 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
GitPython>=1.0.1 # BSD License (3 clause)
kombu!=4.0.2,>=4.0.0 # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT
semantic-version>=2.3.1 # BSD
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
murano-agent (1:3.3.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:37:32 -0400

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
                dh-systemd,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-anyjson (>= 0.3.3),
                      python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
                      python-git (>= 1.0.1),
-                     python-hacking (>= 0.10.0),
-                     python-kombu (>= 3.0.25),
+                     python-hacking (>= 0.12.0),
+                     python-kombu (>= 4.0.0),
                      python-mock (>= 2.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.log (>= 3.11.0),
+                     python-openstackdocstheme (>= 1.16.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.log (>= 3.22.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-semantic-version (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-testrepository (>= 0.0.18),
@@ -46,13 +46,13 @@
          python-anyjson (>= 0.3.3),
          python-eventlet (>= 0.18.4),
          python-git (>= 1.0.1),
-         python-kombu (>= 3.0.25),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.log (>= 2.0.0),
+         python-kombu (>= 4.0.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.log (>= 3.22.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.8),
-         python-requests (>= 2.10.0),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
+         python-requests (>= 2.14.2),
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
          python-yaml,

## murano-agent 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -6,11 +6,12 @@
 eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
 GitPython>=1.0.1 # BSD License (3 clause)
 kombu!=4.0.2,>=4.0.0 # BSD
-oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
-oslo.log>=3.22.0 # Apache-2.0
-oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.20.0 # Apache-2.0
-PyYAML>=3.10.0 # MIT
-six>=1.9.0 # MIT
+oslo.config>=5.1.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
+oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
+PyYAML>=3.10 # MIT
+six>=1.10.0 # MIT
 semantic-version>=2.3.1 # BSD
 requests>=2.14.2 # Apache-2.0
+cryptography!=2.0,>=1.9 # BSD/Apache-2.0

=== debian/changelog ===
murano-agent (1:3.4.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10 and drop dh-systemd.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:07:55 -0500

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-anyjson (>= 0.3.3),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-eventlet (>= 0.18.2),
 python-git (>= 1.0.1),
 python-hacking (>= 0.12.0),
 python-kombu (>= 4.0.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-requests (>= 2.14.2),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-unittest2 (>= 1.1.0),
 python-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 python-anyjson (>= 0.3.3),
 python-cryptography (>= 1.9),
 python-eventlet (>= 0.18.2),
 python-git (>= 1.0.1),
 python-kombu (>= 4.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/murano-agent.git
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
 http://tarballs.openstack.org/murano-agent murano-agent-(\d.*)\.tar\.gz

## murano-agent 3.5.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=3.1.1 # Apache-2.0
anyjson>=0.3.3 # BSD
eventlet>=0.20.0,!=0.20.1,!=0.21.0 # MIT
GitPython>=2.1.8 # BSD License (3 clause)
kombu>=4.1.0 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
PyYAML>=3.12 # MIT
six>=1.11.0 # MIT
semantic-version>=2.6.0 # BSD
requests>=2.18.4 # Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0

=== debian/changelog ===
murano-agent (1:3.5.1-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: Drop python(3)-murano-agent conflicts on each other.
    - d/python(3)-murano-agent.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:32:26 -0400

murano-agent (1:3.5.1-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python(3)-murano-agent packages.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-murano-agent Depends.
    - d/control: Make python(3)-murano-agent conflict against each other.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/murano-agent.dirs: Added to enable creation of log dir.
    - d/python(3)-murano-agent.post*, d/python(3)-murano-agent.prerm: Add update-
      alternatives to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for murano-agent daemons and add shebang tests.
    - d/p/fix-unit-tests-for-python3.6.patch: Cherry-picked from upstream to fix
      failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Aug 2018 13:37:47 -0400

murano-agent (1:3.5.1-0ubuntu1) cosmic; urgency=medium

  * d/patches/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 13:31:11 -0400

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 3.1.1),
 python-setuptools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python-anyjson (>= 0.3.3),
 python-coverage (>= 4.5.1),
 python-cryptography (>= 2.1.4),
 python-eventlet (>= 0.20.0),
 python-git (>= 2.1.8),
 python-hacking (>= 0.12.0),
 python-kombu (>= 4.1.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.log (>= 3.37.0),
 python-oslo.service (>= 1.30.0),
 python-oslo.utils (>= 3.36.0),
 python-oslotest (>= 1:3.3.0),
 python-requests (>= 2.18.4),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.11.0),
 python-stestr,
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.3.0),
 python-unittest2 (>= 1.1.0),
 python-yaml (>= 3.12),
 python3-anyjson (>= 0.3.3),
 python3-coverage (>= 4.5.1),
 python3-cryptography (>= 2.1.4),
 python3-eventlet (>= 0.20.0),
 python3-git (>= 2.1.8),
 python3-hacking (>= 0.12.0),
 python3-kombu (>= 4.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-requests (>= 2.18.4),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.11.0),
 python3-stestr,
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.3.0),
 python3-unittest2 (>= 1.1.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Homepage: https://github.com/openstack/murano-agent
Testsuite: autopkgtest-pkg-python

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 python-murano-agent (= ${source:Version}) | python3-murano-agent (= ${source:Version}),
 ${misc:Depends},
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

Package: python-murano-agent
Architecture: all
Section: python
Depends:
 python-anyjson (>= 0.3.3),
 python-cryptography (>= 2.1.4),
 python-eventlet (>= 0.20.0),
 python-git (>= 2.1.8),
 python-kombu (>= 4.1.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.log (>= 3.37.0),
 python-oslo.service (>= 1.30.0),
 python-oslo.utils (>= 3.36.0),
 python-pbr (>= 3.1.1),
 python-requests (>= 2.18.4),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.11.0),
 python-yaml (>= 3.12),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Breaks:
 murano-agent (<< 1:3.5.1-0ubuntu2~),
Replaces:
 murano-agent (<< 1:3.5.1-0ubuntu2~),
Description: cloud-ready application catalog - Python 2 library
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the python 2 library.

Package: python3-murano-agent
Architecture: all
Section: python
Depends:
 python3-anyjson (>= 0.3.3),
 python3-cryptography (>= 2.1.4),
 python3-eventlet (>= 0.20.0),
 python3-git (>= 2.1.8),
 python3-kombu (>= 4.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-requests (>= 2.18.4),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.11.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 library
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)


include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,systemd

override_dh_clean:
	rm -rf 	build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_build:
	dh_auto_build

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	mkdir -p $(CURDIR)/debian/murano-agent/usr/share/murano-agent
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/murano-agent/usr/share/murano-agent/muranoagent.conf --namespace muranoagent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/tests/control ===
Tests: murano-agent-daemons, murano-agent-shebangs-py3
Depends: python3-murano-agent, murano-agent
Restrictions: needs-root

Tests: murano-agent-daemons, murano-agent-shebangs-py2
Depends: murano-agent
Restrictions: needs-root

## murano-agent 3.6.0

=== debian/changelog ===
murano-agent (1:3.6.0-0ubuntu1) disco; urgency=medium

  * d/watch: Update uversionmangle to handle rc's etc.
  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-unit-tests-for-python3.6.patch: Dropped. Fixed in new upstream
    release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:09:19 -0400

murano-agent (1:3.5.1-0ubuntu7) disco; urgency=medium

  * debian/tests/python3-murano-agent: Don't run verbose (ie. drop -x).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Jan 2019 12:09:10 -0500

murano-agent (1:3.5.1-0ubuntu6) disco; urgency=medium

  * d/control, d/tests/*: Drop autopkgtest-pkg-python since it attempts to
    import murano_agent. Add test that imports the right module, muranoagent.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jan 2019 09:23:37 -0500

murano-agent (1:3.5.1-0ubuntu5) disco; urgency=medium

  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 08:48:04 -0500

murano-agent (1:3.5.1-0ubuntu4) disco; urgency=medium

  * d/tests/murano-agent-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:33:43 -0500

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 3.1.1),
 python-setuptools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-anyjson (>= 0.3.3),
 python3-coverage (>= 4.5.1),
 python3-cryptography (>= 2.1.4),
 python3-eventlet (>= 0.20.0),
 python3-git (>= 2.1.8),
 python3-hacking (>= 0.12.0),
 python3-kombu (>= 4.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.18.4),
 python3-semantic-version (>= 2.6.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-stestr (>= 2.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.3.0),
 python3-unittest2 (>= 1.1.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 python3-murano-agent (= ${source:Version}),
 ${misc:Depends},
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

Package: python3-murano-agent
Architecture: all
Section: python
Depends:
 python3-anyjson (>= 0.3.3),
 python3-cryptography (>= 2.1.4),
 python3-eventlet (>= 0.20.0),
 python3-git (>= 2.1.8),
 python3-kombu (>= 4.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-requests (>= 2.18.4),
 python3-semantic-version (>= 2.6.0),
 python3-six (>= 1.11.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 library
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the python 3 library.

## murano-agent 4.0.0~b1~git2019061621.46dadfb

=== debian/changelog ===
murano-agent (1:4.0.0~b1~git2019061621.46dadfb-0ubuntu1) eoan; urgency=medium

  * New upstream release 4.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:28:55 +0100
